complexType "PrincipalExchange"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 1 attribute, 5 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | unadjustedPrincipalExchangeDate?, adjustedPrincipalExchangeDate?, principalExchangeAmount?, discountFactor?, presentValuePrincipalExchangeAmount?
</...>

Content Model Elements (5):

  adjustedPrincipalExchangeDate, discountFactor (in principalExchange), presentValuePrincipalExchangeAmount, | principalExchangeAmount, unadjustedPrincipalExchangeDate

All Direct / Indirect Based Elements (1):

  principalExchange

Known Usage Locations

- As direct type of elements (1):
  principalExchange

Annotation
For use with Credit Limit Check messages. A type defining a principal exchange amount and adjusted exchange date. The type forms part of the cashflow representation of a swap stream.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="PrincipalExchange"> <xsd:sequence> <xsd:element minOccurs="0" name="unadjustedPrincipalExchangeDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedPrincipalExchangeDate" type="xsd:date"/> <xsd:element minOccurs="0" name="principalExchangeAmount" type="xsd:decimal"/> <xsd:element minOccurs="0" name="discountFactor" type="xsd:decimal"/> <xsd:element minOccurs="0" name="presentValuePrincipalExchangeAmount" type="Money"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 5/5)
adjustedPrincipalExchangeDate

  Type: | xsd:date, predefined, simple content

  The principal exchange date. This date should already be adjusted for any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedPrincipalExchangeDate" type="xsd:date"/>

discountFactor

  Type: | xsd:decimal, predefined, simple content

  The value representing the discount factor used to calculate the present value of the principal exchange amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="discountFactor" type="xsd:decimal"/>

presentValuePrincipalExchangeAmount

  Type: | Money, complex content

  The amount representing the present value of the principal exchange.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="presentValuePrincipalExchangeAmount" type="Money"/>

principalExchangeAmount

  Type: | xsd:decimal, predefined, simple content

  The principal exchange amount. This amount should be positive if the stream payer is paying the exchange amount and signed negative if they are receiving it.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="principalExchangeAmount" type="xsd:decimal"/>

unadjustedPrincipalExchangeDate

  Type: | xsd:date, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="unadjustedPrincipalExchangeDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.